Author: jfrederic.clere(a)jboss.com
Date: 2014-08-22 11:44:16 -0400 (Fri, 22 Aug 2014)
New Revision: 3342
Modified:
trunk/build/unix/buildsrc.mod_cluster.sh
Log:
Remove the useless svn export.
Modified: trunk/build/unix/buildsrc.mod_cluster.sh
===================================================================
--- trunk/build/unix/buildsrc.mod_cluster.sh 2014-08-20 16:33:42 UTC (rev 3341)
+++ trunk/build/unix/buildsrc.mod_cluster.sh 2014-08-22 15:44:16 UTC (rev 3342)
@@ -125,16 +125,15 @@
;;
esac
if [ -d ${dirnmake} ]; then
- #svn export --force ${dirnmake} ${dirsources}
- echo "svn export --force
http://anonsvn.jboss.org/repos/jbossnative/trunk/httpd/${dirhttpd} ${dirsources}"
- which svn
- svn --version
- svn export --force
http://anonsvn.jboss.org/repos/jbossnative/trunk/httpd/${dirhttpd}
${dirsources}
- if [ $? -ne 0 ]; then
- #echo "svn export --force ${dirnmake} ${dirsources} FAILED"
- echo "svn export --force
http://anonsvn.jboss.org/repos/jbossnative/trunk/httpd/${dirhttpd} ${dirsources}
FAILED"
- exit 1
- fi
+ for file in `(cd ${dirnmake}; find . -type f)`
+ do
+ FILE=`echo $file | sed s:./::`
+ cp -p ${dirnmake}/$FILE ${dirsources}/${FILE}
+ if [ $? -ne 0 ]; then
+ echo "cp -p ${dirnmake}/$FILE ${dirsources}/${FILE} FAILED"
+ exit 1
+ fi
+ done
# Apply patches for iconv
if [ "${BUILD_SYS}" = "windows" ]; then
(cd ${dirsources}/srclib/apr-iconv